;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; package.lisp

;;;; This file defines the package name for ToolSAQ, :toolsaq.

;;;; Michael E Sparks (mespar1@iastate.edu)
;;;; Last Modified: 3 February 2007

;;;; Copyright (c) 2007 Michael E Sparks
;;;; All rights reserved.
;;;;
;;;; You are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser General Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.

(defpackage :toolsaq
  (:use :common-lisp)
  (:import-from :s-xml-toolsaq
		;; Original expressions from S-XML
		:start-parse-xml
		:xml-parser-state
		;; Extensions defined by Sparks in s-xml/addendum.lisp
		:*string-comparator*
		:*character-comparator*
		:get-current-xmlns
		:get-attr-value)
  (:export :show-toolsaq-exports

	   :*qual-aln-parms*
	   :detect-qualified-alns
	   :detect-all-alns

	   :*ags-alt-splc-parms*
	   :detect-alternative-splicing
	   :detect-all-agss)
  (:documentation "ToolSAQ, the Tool for Spliced Alignment Queries,
is an environment for querying gthXML formatted documents"))
