;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; toolsaq.asd

;;;; ASDF system definition file for ToolSAQ

;;;; Michael E Sparks (mespar1@iastate.edu)
;;;; Last Modified: 3 February 2007

;;;; Copyright (c) 2007 Michael E Sparks
;;;; All rights reserved.
;;;;
;;;; You are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser General Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.

(in-package :cl-user)

(asdf:defsystem :toolsaq
    :name "ToolSAQ"
    :author "Michael E Sparks (mespar1@iastate.edu)"
    :version "0.1"
    :maintainer "Michael E Sparks (mespar1@iastate.edu)"
    :licence "Lisp Lesser General Public License (LLGPL)"
    :description "Tool for Spliced Alignment Queries"
    :long-description "ToolSAQ is an environment for querying gthXML formatted datasets"
    :serial t
    :components ((:module s-xml	; ToolSAQ cannibalizes Sven Van Caekenberghe's S-XML package
			  :pathname "s-xml/"
			  :components ((:file "package")
				       (:file "xml")
				       (:file "dom")
				       (:file "lxml-dom")
				       (:file "sxml-dom")
				       (:file "xml-struct-dom")
				       (:file "addendum"))) ; addendum.lisp added by Sparks
		 (:file "package")
		 (:file "gthxml-parse-util")
		 (:file "gthxml-aln-parse")
		 (:file "gthxml-ags-parse")
		 (:file "toolsaq")))
